# Class StandaloneSearchInterfaceEvents

The `StandaloneSearchInterfaceEvents` static class contains the string definitions of all events that strongly relate to the standalone search interface.

## Index

### Properties

- beforeRedirect

## Properties

### Static beforeRedirect

beforeRedirect: string

- Defined in events/StandaloneSearchInterfaceEvents.ts :26

Triggered by the [`StandaloneSearchBox`]{@link StandaloneSearchBox} component during initialization, just before redirecting to the full search page.

type

  {string} The string value is `beforeRedirect`.

### Hierarchy

- StandaloneSearchInterfaceEvents